﻿using System;
using System.Windows;


namespace WeakEventPattern
{
    public class WeakEventListener
    {
        private void OnEvent(object source, EventArgs args)
        {
            Console.WriteLine("WeakEventListener received event.");
        }

        public WeakEventListener(EventSource source)
        {
            WeakEventManager<EventSource, EventArgs>.AddHandler(source, "Event", OnEvent);
        }

        ~WeakEventListener()
        {
            Console.WriteLine("WeakEventListener finalized.");
        }
    }
}
